import { IgcCancelEventArgs } from "igniteui-webcomponents-core";
import { SpreadsheetEditModeExitingEventArgs as SpreadsheetEditModeExitingEventArgs_internal } from "./SpreadsheetEditModeExitingEventArgs";
import { SpreadsheetCell } from "./SpreadsheetCell";
/**
 * Event arguments for the
 * editModeExiting event.
*/
export declare class IgcSpreadsheetEditModeExitingEventArgs extends IgcCancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i(): SpreadsheetEditModeExitingEventArgs_internal;
    constructor();
    /**
     * Returns or sets a boolean indicating whether the changes will be made to the cell's value when edit mode ends.
    */
    get acceptChanges(): boolean;
    set acceptChanges(v: boolean);
    /**
     * Returns a boolean indicating if the edit mode is being forced to exit edit mode in which case it cannot be cancelled.
    */
    get canCancel(): boolean;
    /**
     * Returns the cell for which the control is exiting edit mode.
    */
    get cell(): SpreadsheetCell;
    /**
     * Returns the edit text that will be used to update the cell(s).
    */
    get editText(): string;
}
